{"title":"Delete countriesRegions (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_countriesregions_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_countriesregions_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_countriesregions_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Deletes a countries/regions object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Delete countriesRegions (v1.0)","slug":"delete-countriesregions-v10","at":0,"chars":1344},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":90,"chars":225},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":315,"chars":255},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":570,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":639,"chars":140},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":779,"chars":241},{"level":2,"title":"Related information","slug":"related-information","at":1020,"chars":324}],"text":"# Delete countriesRegions (v1.0)\nDelete a countries/regions object from Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({id})/countriesRegions({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided does not match the current tag on the countriesRegions, the countriesRegions will not be updated.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns ```204 No Content``` response code. It does not return anything in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v1.0/companies({id})/countriesRegions({id})\n```\nResponse\nHere is an example of the response.\n```json\nHTTP/1.1 204 No Content\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nCountries Regions<../resources/dynamics_countriesregions>\nGet Countries Regions<dynamics_countriesregions_get>\nPost Countries Regions<dynamics_create_countriesregions>\nPatch Countries Regions<dynamics_countriesregions_update>"}